Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8208242

Add @requires to vmTestbase/gc/g1 tests

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 10
    • Fix Version/s: 12
    • Component/s: hotspot
    • Labels:
    • Subcomponent:
      gc
    • Resolved In Build:
      b07

      Description

      Currently vmTestbase/gc/g1/ tests are executed with all GC during as a part of promotion testing. It is needed add corresponding tags @requires to the tests to prevent such failures and/or remove vmTestbase/gc/g1 tests when non-g1 gc are tested.

      Also, the tests should not be run if class unloading is not enabled, so there is a need for:
      @requires vm.opt.ClassUnloading != false
      @requires vm.opt.ClassUnloadingWithConcurrentMark != false

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jcbeyler Jean Christophe Beyler
              Reporter:
              iignatyev Igor Ignatyev
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: